Foreman - Feature #1325

BMC IP management should manage DNS
11/15/2011 07:09 AM - Mikael Fridh

Status: Closed

Priority: Normal

Assignee: Ohad Levy

Category: Host creation

Target version: 1.1

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Adding a BMC IP and BMC Host Name does not manage DNS at all. It only does the DHCP reservations.

Associated revisions

Revision 8838eb42 - 12/26/2012 08:49 AM - Ohad Levy

fixes #1814 - converts sp_* attributes into a BMC interface class
this patch also includes the following

e added a new interfaces table, and STI objects to represent a NIC, BMC, Managed
and a bootable interface.

e refactored DHCP/DNS orchestation code, so they can work on the
interface objects and on the primary interface information that still
reside in the hosts table.

e added basic Ul for interface selection

this refactor also helps to simply refactoring the host object into
multiple objects.

this patch also fixes

fixes #1325 - BMC NIC should also create DNS entry
fixes #1813 - allow to support multiple NIC per host

History

#1 - 12/14/2012 04:25 AM - Oliver Weinmann

| just noticed this too.
Any clue when this will be implemented?

Regards,
Oliver

#2 - 12/14/2012 08:12 AM - Ohad Levy
- Assignee set to Ohad Levy

- Target version set to 1.1

its actually part of the new interface branch, this will be included too.

#3 - 12/26/2012 08:56 AM - Ohad Levy
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 8838eb42a2a292t50126966d3fa768edad3a237a.

05/12/2024

1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/8838eb42a2a292f50126966d3fa768edad3a237a
http://www.tcpdf.org

